package domain

type AlibabaWdkMarketingItempoolQueryactivityMarketResult struct {
	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   返回的商品池活动信息     */
	Data *AlibabaWdkMarketingItempoolQueryactivityItemPoolActivity `json:"data,omitempty" `

	/*
	   查询商品是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolQueryactivityMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolQueryactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryactivityMarketResult) SetData(v AlibabaWdkMarketingItempoolQueryactivityItemPoolActivity) *AlibabaWdkMarketingItempoolQueryactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryactivityMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolQueryactivityMarketResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryactivityMarketResult) SetMessage(v string) *AlibabaWdkMarketingItempoolQueryactivityMarketResult {
	s.Message = &v
	return s
}
